<template>
  <div>
    <h2>Manage Goals</h2>
    <input type="text" ref="goal">
    <button @click="setGoal">Set Goal</button>
    <teleport to="body">
      <ErrorAlert v-if="inputIsInvalid">
        <h2>Input is invalid!</h2>
        <p>Please enter at least a few characters...</p>
        <button @click="confirmError">Ok</button>
      </ErrorAlert>
    </teleport>

  </div>
</template>

<script>
import ErrorAlert from "@/components/ErrorAlert.vue";

export default {
  name: "ManageGoals",
  components: {ErrorAlert},
  data() {
    return {
      inputIsInvalid: false
    }
  },
  methods: {
    setGoal() {
      const enteredValue = this.$refs.goal.value
      if (enteredValue === '') {
        this.inputIsInvalid = true
      }
    },
    confirmError() {
      this.inputIsInvalid = false
    }
  }
}
</script>

<style scoped>

</style>